#!usr/bin/perl

use strict;
use warnings;

use SystemHWDetection::Wsystem qw(get_cpu_desc getRAM getSystemArchitecture);

my @cpus = get_cpu_desc();
my $mem = getRAM();
my $architecture = getSystemArchitecture();
for(my $num = 0; $num < @cpus; $num++) {
  print "Processor $num vendor is\: " . $cpus[$num]->{VENDOR} . "\n";
  print "Processor $num is\: " . $cpus[$num]->{MODEL} . "\n";
  print "Processor $num has frequency\: " . $cpus[$num]->{FREQ} . " Hz\n";
  print "Processor $num can do\: " . $cpus[$num]->{OPS_PER_CYCLE} . " floating point operations per cycle\n";
  print "Processor $num\: " . $cpus[$num]->{PERF} . " Flops\n";
}
print "RAM size: $mem\n";
print "Architecture: $architecture\n";
