<html>
<head>
<meta http-equiv='Content-Type' content='text/html; charset=koi8-r'>
<style type='text/css'>
body {  background-color:#FFFFFF; font-family:Arial,Helvetica; color:#000000; font-size: 10pt; }
td { font-size: 10pt; }
thead,.th { background-color: #B5E0C7 }
acronym { border-bottom: 1px dashed #B5E0C7; cursor: help; width:100; }
</style>
<title><%TaskName%> (<%StartTime%> - <%EndTime%>)</title>
<body>
<b>Task: <%TaskName%></b> &nbsp;&nbsp; (<a href='<%OutDataFile%>' title='    '>data</a>)
<br>Started at <%StartTime%>, 1st request at <%FirstTSRTime%>, ended at <%EndTime%>
<br>Task arguments: <%TaskArgs%>
<p>
<table><tr><td valign=top>
<table border=1 cellspacing=2 cellpadding=2>
<tbody>
<tr class='th'><td colspan=2><b>General info</b></td></tr></thead>
<tr><td><acronym title='   '>Nodes</acronym>: </td><td><%Nodes%></td></tr>
<tr><td><acronym title='    gc,   '>Processes</a>: </td><td><%Processes%></td></tr>
<tr><td><acronym title='  '>Sessions</acronym>: </td><td><%Sessions%></td></tr>
<tr><td><acronym title='   '>Server run time</acronym>: </td><td><%TotalTime%></td></tr>
<tr><td><acronym title='   (    )'>Working time</acronym>: </td><td><%TotalWorkingTime%></td></tr>
<tr><td><acronym title='       '>Task execution (clients) time</acronym>: </td><td><%ClientsTime%></td></tr>
<tr><td><acronym title='     ,  '>Effective server time</acronym>: </td><td><%ServerTime%></td></tr>
<tr><td><acronym title='    '>X-Com server-side efficiency</acronym>: </td><td><%ServerEfficiency%>%</td></tr>
</tbody>
</table>
</td><td valign=top>
<table border=1 cellspacing=2 cellpadding=2>
<tbody>
<tr class='th'><td colspan=2><b>Tasks</b></td></tr>
<tr><td><acronym title='   '>Portions:</acronym></td><td><%Portions%></td></tr>
<tr><td><acronym title='-      '>Code requests</acronym>: </td><td><%TSRs%></td></tr>
<tr><td><acronym title='-    '>Sent requests/portions</acronym>: </td><td><%REQs%>/<%pSent%></td></tr>
<tr><td><acronym title='-    '>Received requests/portions</acronym>: </td><td><%ASWs%>/<%pReceived%></td></tr>
<tr><td><acronym title='      '>X-Com client-side efficiency</acronym>: </td><td><%ClientsEfficiency%>%</td></tr>
<!--tr><td><acronym title=' -        '>Superfluity</acronym>: </td><td>%</td></tr-->
<tr><td><acronym title='     '>MIN portion processing time</acronym>: </td><td><%MinTaskTime%></td></tr>
<tr><td><acronym title='     '>MAX portion processing time</acronym>: </td><td><%MaxTaskTime%></td></tr>
<tr><td><acronym title='    '>Average portion processing time</acronym>: </td><td><%AverageTaskTime%></td></tr>
</tbody>
</table>
</td><td valign=top>
<table border=1 cellspacing=2 cellpadding=2>
<tbody>
<tr class='th'><td colspan=2><b>Data transfers</b></td></tr>
<tr><td><acronym title='   '>X-Com data output</acronym>: </td><td><%ServerDataOut%> Mb</td></tr>
<tr><td><acronym title='   '>X-Com data input</acronym>: </td><td><%ServerDataIn%> Mb</td></tr>
<tr><td><acronym title='     '>X-Com summary data transferred</acronym>: </td><td><%ServerDataSum%> Mb</td></tr>
</table>
</td></tr></table>
<p>
<table border=1 cellspacing=2 cellpadding=2>
<tr bgcolor=#B5E0C7><td colspan=16 align=Center><b>Tasks (per cluster)</b></td></tr>
<%ClustersInfoTableHead%>
<%ClustersInfoTable%>
</table>
<p>
<table border=1 cellspacing=2 cellpadding=2>
<tr bgcolor=#B5E0C7><td colspan=10 align=Center><b>Data transfers (per cluster)</b></td></tr>
<%ClustersDataTableHead%>
<%ClustersDataTable%>
</table>
</div>
</body>
</html>