package CpuMultiplier;
require Exporter;
our @ISA = qw(Exporter);
our @EXPORT_OK = qw(getMultiplier);
our $VERSION = 0.1;
sub getMultiplier($)
{
  my $line = shift;
  my $f = 1;
  if ($line =~ /\C*Intel\C*Core\C*2\C*Extreme\C*/i) {$f = 4;}
     elsif ($line =~ /\.*Intel\C*Core\C*/i) {$f = 2;}
     elsif ($line =~ /\C*pentium\C*(D|(\)4\s+)|(\s+4\s+))\C*/i) {$f = 2;}
     elsif ($line =~ /\C*pentium\C*extreme\C*/i) {$f = 2;}
     elsif ($line =~ /\C*celeron\C*(d|m|p)\C*/i) {$f = 2;}
     elsif ($line =~ /\C*(itanium|Atom|Centrino)\C*/i) {$f = 2;}
	 elsif ($line =~ /\C*xeon\C*\s+\D?(51|52|54|53|33)\d\d\C*/i) {$f = 4;}
	 elsif ($line =~ /\C*xeon\C*/i) {$f = 2;}
	 elsif ($line =~ /\C*phenom\C*/i) {$f = 4;}
     elsif ($line =~ /\C*athlon\C*XP\CM\C*/i) {$f = 1;}
     elsif ($line =~ /\C*((Opteron)|(Turion)|(Athlon)|(Sempron))\C*/i) {$f = 2;}
  return $f;
}
