package SystemHWDetection::Wsystem;

use strict;
use warnings;

require Exporter;

our @EXPORT_OK = qw(get_cpu_desc getRAM getSystemArchitecture);

my %module = (linux   => 'Linux',
              MSWin32 => 'Win32');

my $module = $module{$^O} || 'Dummy';

require "SystemHWDetection/$module.pm";
our @ISA = ("Exporter", "SystemHWDetection::$module");

sub import
{
  my $pkg = shift;
  "SystemHWDetection::$module"->import(@_);
  $pkg->export_to_level(1, $pkg, @_);
}

1;
